Page MenuHomePhabricator

Set up continuous integration for wikistats 2.0 UI
Closed, ResolvedPublic3 Story Points

Description

Set up continuos integration for wikistats 2.0 UI

Event Timeline

Nuria assigned this task to fdans.Jul 17 2017, 4:28 PM
Nuria changed the point value for this task from 5 to 3.
Nuria moved this task from Next Up to In Progress on the Analytics-Kanban board.

As discussed with @hashar, we'd like to add Continuous Integration to the UI part of the new Wikistats, which is hosted in Phabricator:

https://phabricator.wikimedia.org/source/wikistats

I imagine the job would have to first install the dependencies (npm install) and the run the tests (npm test). @demon @mmodell if you could let me know if there's anything else I'd need to prepare, that would be awesome :)

Thank you!

Milimetric renamed this task from Set up continuos integration for wikistats 2.0 UI to Set up continuous integration for wikistats 2.0 UI.Jul 18 2017, 3:13 PM

Are you using differential for code review? If so, I just need to set up the repo with harbormaster so that we run npm test on new differential revisions.

I've added the meta-ci-jessie tag to the repository, so CI should be happening now.

mmodell closed this task as Resolved.Jul 24 2017, 7:49 PM

Just to keep the archives happy, yes, we're using Differential for code review.